小姜哥的微信

Wampserver 2.5 mongo扩展

这些天需要操作mongo,给PHP打开了mong扩展,但是怎么都加载不起来, 甚是不解, 直到看到了下面这段话才恍然大悟, 简单摘录如下。

I just updated from WAMPserver 2.2e (Apache 2.2.22, PHP 5.3.13, MySQL 5.5.24) to WAMPserver 2.5 (Apache 2.4.9, PHP 5.5.12, MySQL 5.6.17). I was using the mongo driver 1.5.0RC2 with WAMP2.2e, with no problem.

With the update, I went to grab the latest Mongo driver, grabbing 1.5.4. The problem first was that no matter which of the 4 drivers for PHP 5.5 I put into my ext folder, none of them work. They all gave me a small warning icon in the WAMP PHP extension menu and wouldn't turn on, and if I added it to php.ini and restarted Apache, it still doesn't show up in phpinfo(). I was getting the drivers from https://s3.amazonaws.com/drivers.mon…php/index.html. I went to PECL :: Package :: mongo :: 1.5.4 and downloaded the driver from there; this time, WAMP didn't give me a warning icon, but PHPinfo still doesn't show me Mongo.

Thinking maybe it was the PHP version, I also tried WAMPserver 2.4 which has PHP 5.4. No luck there either.

I have no idea why its not working or how to diagnose what's wrong.

So I found out the issue was the latest driver. I was trying to use 1.5.4, kept saying 'The specified module could not be found'. I went down to 1.5.1 and it worked. I found posts suggesting older versions that did work for people, so I figured I can try downgrading. I had already tried 1.5.3 with no avail, so I kept going. 1.5.2 also failed, but 1.5.1 ended up working.

推荐文章

回到顶部